_

"Przyklejona" linia podążająca za przestawianym obiektem

Forum poświęcone flagowemu produktowi oraz aplikacjom pochodnym Autodesku. To jedyne forum mające w tytule nazwę programu, a to ze względu na jego olbrzymią popularność w Polsce. Można tutaj umieszczać również posty z ogólnie pojętej tematyki "Kreślarskie 2D".

"Przyklejona" linia podążająca za przestawianym obiektem

Postprzez moonwalker » sty 06, 2016 21:39

Cześć

Mam krótkie pytanie, czy w autocadzie jest możliwość aby narysowana linia, która jest połączona pomiędzy 2 obiektami, wydłużała się, łamała pod kątem prostym w momencie kiedy jeden z obiektów przesuwam gdzieś dalej, powyżej lub poniżej na rysunku?
moonwalker
 
Posty: 3
Dołączył(a): sty 06, 2016 21:30

Re: "Przyklejona" linia podążająca za przestawianym obiektem

Postprzez SOYER__1 » sty 06, 2016 22:31

Podążanie prostej linii za obiektem to raczej da się zrobić - poprzez parametryzację (dla nowszych AC) lub blok dynamiczny. Pewnie lisp_em też się da ale to już specjaliści.
Nie do końca jasne jest Twoje oczekiwanie - może jakiś malunek, obrazek wstaw.
SOYER__1
 
Posty: 53
Dołączył(a): wrz 29, 2015 10:07

Re: "Przyklejona" linia podążająca za przestawianym obiektem

Postprzez moonwalker » sty 06, 2016 23:37

wybraźmy sobię rozdzielnicę elektryczną która ma np. 100 elementów

teraz wrzucam te obiekty do AC na stół i ustawiam w wierszach (np 5 wierszy po 20 obiektów) jak mają być mniej więcej rozmieszczone.
jak są już rozmieszczone rysuję połączenia które są przewodami i teraz wszystko ładnie pięknie ale jak się okazuje, że mam coś przestawiać to linie połączeń przewodów nie będą się zgadzać jak jakiś element np. (różnicówkę) muszę wstawić gdzieś indziej.
czyli muszę zmieniać nie tylko położenie obiektu co jest proste ale również rysować nowe połączenia.
Dlatego moje pytanie czy jest jakieś przyklejanie "inteligentnej linii" do obiektu, która podąża za obiektem i omijając inne obiekty robi to pod kątem 90 stopni.
moonwalker
 
Posty: 3
Dołączył(a): sty 06, 2016 21:30

Re: "Przyklejona" linia podążająca za przestawianym obiektem

Postprzez kojacek » sty 06, 2016 23:56

Tak tam żartobliwie ;) :

Kod: Zaznacz cały
; by kojacek 2016
(defun C:T2 (/ drag pa pb pc px pu midpoint re)
  (defun midpoint (p1 p2)
    (mapcar '(lambda (a b) (/ (+ a b) 2.0)) p1 p2)
  ) 
  (setq pa (getpoint "\nPunkt: "))
  (while pa
    (while
      (and
        (setq drag (grread t 4 4))
        (= (car drag) 5)
      )
      (redraw)
      (setq pb (cadr drag)
            pc (midpoint pa pb)
            px (list (car pc)(cadr pa))
            pu (list (car pc)(cadr pb))
            re (list (list pa px)(list pb pu)(list pu px))
      )
      (foreach % re (grdraw (car %)(cadr %) 2 0))
    )
    (if
      (= (car drag) 3)
      (progn
        (foreach % re
          (entmakex
            (list
              (cons 0 "LINE")
              (cons 10 (car %))
              (cons 62 2)
              (cons 11 (cadr %))
            )
          )
        )
        (setq pa pe)
      )
      (setq pa nil)
    )
  )
  (redraw)
  (princ)
)
Avatar użytkownika
kojacek
 
Posty: 5222
Dołączył(a): paź 03, 2005 20:17

Re: "Przyklejona" linia podążająca za przestawianym obiektem

Postprzez moonwalker » sty 07, 2016 00:50

o właśnie o coś takiego chodzi
moonwalker
 
Posty: 3
Dołączył(a): sty 06, 2016 21:30

Re: "Przyklejona" linia podążająca za przestawianym obiektem

Postprzez Lukaszs85 » kwi 05, 2017 23:18

Podłącze się do tematu.
Można by do tego lipa dodać opcję przyciągania do punktów odniesienia (końce linii, środki okręgów, punkty symetrii, itp) oraz orientacji w układzie biegunowym (identycznie jak program rysujący zwykłą linię w Autocadzie)?
Lukaszs85
 
Posty: 20
Dołączył(a): lut 24, 2017 00:24


Powrót do AutoCAD

Kto przegląda forum

Użytkownicy przeglądający ten dział: Brak zidentyfikowanych użytkowników